javax.jdo.annotations

## Annotation Type Sequence

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface Sequence

  Annotation for a datastore sequence. Maps across to the JDO2 element "sequence".
  Since:
    2.1
  Version:
    2.1

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `name` The symbolic name of the datastore sequence.
    `SequenceStrategy` | `strategy` Strategy for the sequence.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `int` | `allocationSize` Allocation size for the sequence.
    `String` | `datastoreSequence` Name of the sequence in the datastore.
    `Extension[]` | `extensions` Vendor extensions for this sequence.
    `Class` | `factoryClass` Name of a factory class for generating the sequence values.
    `int` | `initialValue` Initial value for the sequence.

- - ### Element Detail

    - #### name

          public abstract String name

      The symbolic name of the datastore sequence.
      Returns:
        the name of the sequence

  - - #### strategy

          public abstract SequenceStrategy strategy

      Strategy for the sequence.
      Returns:
        the strategy for the sequence

  - - #### datastoreSequence

          public abstract String datastoreSequence

      Name of the sequence in the datastore.
      Returns:
        the name of the datastore sequence
      Default:
        ""

  - - #### factoryClass

          public abstract Class factoryClass

      Name of a factory class for generating the sequence values.
      Returns:
        the name of the factory class for the sequence
      Default:
        void.class

  - - #### extensions

          public abstract Extension[] extensions

      Vendor extensions for this sequence.
      Returns:
        vendor extensions
      Default:
        {}

  - - #### initialValue

          public abstract int initialValue

      Initial value for the sequence.
      Returns:
        Initial value for the sequence
      Since:
        3.1
      Default:
        1

  - - #### allocationSize

          public abstract int allocationSize

      Allocation size for the sequence.
      Returns:
        Allocation size for the sequence
      Since:
        3.1
      Default:
        50

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.